Name:           automx
Version:        1.1.2
Release:        1%{?dist}
Summary:        Provides account configuration data to mail clients

License:        GPLv3+
URL:            http://automx.org
#Source0:        https://github.com/sys4/automx/archive/%{commit}/automx-%{commit}.tar.gz
Source0         https://github.com/sys4/automx/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}-uwsgi-sample.ini

Patch0:         0001-Bump-version-number-in-setup.py.patch

BuildArch:      noarch
BuildRequires:  python3-devel

Requires:       openssl

Requires:       python3-dateutil
Requires:       python3-ldap
Requires:       python3-lxml
Requires:       python3-memcached
Requires:       python3-sqlalchemy

%description
automx makes setting up a mail account easy. All your users need to provide is
real name, mail address and password. Their mail client and automx will safely
handle the rest.

automx runs on your server and handles mail account profile requests from your
mail clients. Put an end to endless phone calls trying to coach users to
configure settings in dialogues they can't find. Stop wasting your time writing
Tutorials nobody reads.

automx unifies Microsoft's and Mozilla's mail account provisioning standards in
one powerful Open Source tool. Choose from many backends, including LDAP and
SQL, and let automx create standard and individualized profiles for multiple
domains on the fly!


%package        tools
Summary:        Additional tools for testing automx installations
Requires:       %{name} = %{version}-%{release}
Requires:       bind-utils
Requires:       wget

%description    tools
Additional tools for automx. Currently consists of a test script that can test
local or remote automx installations.


%prep
%autosetup


%build
%{__python3} setup.py build


%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Install web content
install -dm 0755 $RPM_BUILD_ROOT/%{_datadir}
cp -a src/html $RPM_BUILD_ROOT/%{_datadir}/%{name}


# install man pages
install -dm 0755 $RPM_BUILD_ROOT/%{_mandir}
cp -a doc/man/* $RPM_BUILD_ROOT/%{_mandir}


%files
%doc BASIC_CONFIGURATION_README CHANGES CREDITS INSTALL LICENSE README.md
%doc RELEASE_NOTES ROADMAP
%doc src/conf/apache.conf.example src/conf/automx.conf.example-complex
%doc src/conf/nginx-automx.conf
%{python3_sitelib}/%{name}
%{python3_sitelib}/automx-%{version}*.egg-info
%{python3_sitelib}/%{name}_wsgi.py
%{python3_sitelib}/__pycache__/%{name}_wsgi*.pyc
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man5/%{name}*
%{_datadir}/%{name}

%files tools
%doc CREDITS LICENSE RELEASE_NOTES ROADMAP
%{_bindir}/%{name}-test
%{_mandir}/man1/%{name}-test.1.gz


%changelog
* Sun Apr 29 2018 Felix Kaechele <heffer@fedoraproject.org> - 1.1.2-1
- update to 1.1.2
- switch to Python 3

* Sun Oct 05 2014 Felix Kaechele <heffer@fedoraproject.org> - 0.10.2-1
- spec file created

